Как я могу добавить зависимости libcrypto в пакет Debian

Если моя программа зависит от libcrypto.so.1.1, достаточно ли указать libssl1.1 (> = 1.1.0) в debian/control?


33
1

Ответ:

Решено

Как указано в политике Debian, имя пакета также указывает SONAME библиотеки. Таким образом, должно быть достаточно иметь

Depends: libssl1.1

Без явного указания версии. (Кроме того, пробел между > и = в вашем вопросе кажется мне синтаксической ошибкой.)

Ссылка: 6.1 Совместно используемые библиотеки времени выполнения